dnl ffmpeg.m4 -- M4 directives for figuring out if ffmpeg is installed
dnl
dnl   Copyright (c) 2005 - 2011 by Thanos Kyritsis
dnl
dnl   This file is part of ffpocket
dnl
dnl   FFpocket is free software; you can redistribute it and/or modify
dnl   it under the terms of the GNU General Public License as published by
dnl   the Free Software Foundation, version 2 of the License.
dnl
dnl   FFpocket is distributed in the hope that it will be useful,
dnl   but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl   GNU General Public License for more details.
dnl
dnl   You should have received a copy of the GNU General Public License
dnl   along with FFpocket; if not, write to the Free Software
dnl   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
dnl
dnl

AC_DEFUN([FFPOCKET_SYSTEM_FFMPEG],
[AC_ARG_ENABLE(system_ffmpeg,
AS_HELP_STRING([--enable-system-ffmpeg],[Compile with system ffmpeg]),
[if test "${enable_system_ffmpeg}" != "no"
then
if test "${enable_mingw32}" = "yes"
then
AC_MSG_ERROR([You cannot use --enable-system-ffmpeg and --enable-mingw32 together.])
fi
PKG_CHECK_MODULES([ffmpeg], [libavformat >= 52.31.0 libavcodec >= 52.20.1 libavutil >= 49.15.0 libswscale >= 0.7.1])
AC_DEFINE(HAVE_SYSTEM_FFMPEG, 1, [Define if you have ffmpeg installed system wide.])
fi],
[if test "${enable_system_ffmpeg}" != "yes"
then
AC_SUBST(FFMPEG,[../ffmpeg-0.6.1])
fi])
AM_CONDITIONAL(SYSTEM_FFMPEG, test "${enable_system_ffmpeg}" = "yes")
])
